import os, sys, json, time

from collections import OrderedDict
from datetime import datetime
from os.path import isfile

from . import migrate, get
from .connection import db, CreateDatabase

from .. import dbversion

dbverrow = get.config('version', 0) if db.TableCheck('config') else 0
current_dbversion = 202007110621 if int(dbverrow) == 2020071110621 else dbverrow

if not current_dbversion:
	CreateDatabase()

elif int(current_dbversion) < dbversion:
	migrate.run(current_dbversion)
